#!/bin/bash -e

# exit on errors
set -eu -o pipefail

# set up ONOS build environment
# shellcheck disable=SC2034
ONOS_ROOT=`pwd`
. tools/build/envDefaults

PATH=$PATH:/home/jenkins/bin

# import GPG key
gpg --import jenkins.key

# stage the maven settings
mkdir -p ~/.m2
mv settings.xml ~/.m2/settings.xml

# run the build and upload snapshot artifacts
onos-build-and-upload-snapshot
